org.apache.catalina

## Class InstanceEvent

- java.lang.Object
- - java.util.EventObject
  - - org.apache.catalina.InstanceEvent

- All Implemented Interfaces:
    Serializable

      public final class InstanceEvent
      extends EventObject

  General event for notifying listeners of significant events related to a specific instance of a Servlet, or a specific instance of a Filter, as opposed to the Wrapper component that manages it.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AFTER_DESTROY_EVENT` The event indicating that the `destroy()` method has returned.
    `static String` | `AFTER_DISPATCH_EVENT` The event indicating that the `service()` method of a servlet accessed via a request dispatcher has returned.
    `static String` | `AFTER_FILTER_EVENT` The event indicating that the `doFilter()` method of a Filter has returned.
    `static String` | `AFTER_INIT_EVENT` The event indicating that the `init()` method has returned.
    `static String` | `AFTER_SERVICE_EVENT` The event indicating that the `service()` method has returned.
    `static String` | `BEFORE_DESTROY_EVENT` The event indicating that the `destroy` method is about to be called for this instance.
    `static String` | `BEFORE_DISPATCH_EVENT` The event indicating that the `service()` method of a servlet accessed via a request dispatcher is about to be called.
    `static String` | `BEFORE_FILTER_EVENT` The event indicating that the `doFilter()` method of a Filter is about to be called.
    `static String` | `BEFORE_INIT_EVENT` The event indicating that the `init()` method is about to be called for this instance.
    `static String` | `BEFORE_SERVICE_EVENT` The event indicating that the `service()` method is about to be called on a servlet.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstanceEvent(Wrapper wrapper, Filter filter, String type)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Filter filter, String type, ServletRequest request, ServletResponse response)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Filter filter, String type, ServletRequest request, ServletResponse response, Throwable exception)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Filter filter, String type, Throwable exception)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Servlet servlet, String type)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Servlet servlet, String type, ServletRequest request, ServletResponse response)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Servlet servlet, String type, ServletRequest request, ServletResponse response, Throwable exception)` Construct a new InstanceEvent with the specified parameters.
    `InstanceEvent(Wrapper wrapper, Servlet servlet, String type, Throwable exception)` Construct a new InstanceEvent with the specified parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getException()` Return the exception that occurred during the processing that was reported by this event.
    `Filter` | `getFilter()` Return the filter instance for which this event occurred.
    `ServletRequest` | `getRequest()` Return the servlet request for which this event occurred.
    `ServletResponse` | `getResponse()` Return the servlet response for which this event occurred.
    `Servlet` | `getServlet()` Return the servlet instance for which this event occurred.
    `String` | `getType()` Return the event type of this event.
    `Wrapper` | `getWrapper()` Return the Wrapper managing the servlet instance for which this event occurred.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BEFORE_INIT_EVENT

          public static final String BEFORE_INIT_EVENT

      The event indicating that the `init()` method is about to be called for this instance.
      See Also:
        Constant Field Values

    - #### AFTER_INIT_EVENT

          public static final String AFTER_INIT_EVENT

      The event indicating that the `init()` method has returned.
      See Also:
        Constant Field Values

    - #### BEFORE_SERVICE_EVENT

          public static final String BEFORE_SERVICE_EVENT

      The event indicating that the `service()` method is about to be called on a servlet. The `servlet` property contains the servlet being called, and the `request` and `response` properties contain the current request and response being processed.
      See Also:
        Constant Field Values

    - #### AFTER_SERVICE_EVENT

          public static final String AFTER_SERVICE_EVENT

      The event indicating that the `service()` method has returned. The `servlet` property contains the servlet that was called, and the `request` and `response` properties contain the current request and response being processed.
      See Also:
        Constant Field Values

    - #### BEFORE_DESTROY_EVENT

          public static final String BEFORE_DESTROY_EVENT

      The event indicating that the `destroy` method is about to be called for this instance.
      See Also:
        Constant Field Values

    - #### AFTER_DESTROY_EVENT

          public static final String AFTER_DESTROY_EVENT

      The event indicating that the `destroy()` method has returned.
      See Also:
        Constant Field Values

    - #### BEFORE_DISPATCH_EVENT

          public static final String BEFORE_DISPATCH_EVENT

      The event indicating that the `service()` method of a servlet accessed via a request dispatcher is about to be called. The `servlet` property contains a reference to the dispatched-to servlet instance, and the `request` and `response` properties contain the current request and response being processed. The `wrapper` property will contain a reference to the dispatched-to Wrapper.
      See Also:
        Constant Field Values

    - #### AFTER_DISPATCH_EVENT

          public static final String AFTER_DISPATCH_EVENT

      The event indicating that the `service()` method of a servlet accessed via a request dispatcher has returned. The `servlet` property contains a reference to the dispatched-to servlet instance, and the `request` and `response` properties contain the current request and response being processed. The `wrapper` property will contain a reference to the dispatched-to Wrapper.
      See Also:
        Constant Field Values

    - #### BEFORE_FILTER_EVENT

          public static final String BEFORE_FILTER_EVENT

      The event indicating that the `doFilter()` method of a Filter is about to be called. The `filter` property contains a reference to the relevant filter instance, and the `request` and `response` properties contain the current request and response being processed.
      See Also:
        Constant Field Values

    - #### AFTER_FILTER_EVENT

          public static final String AFTER_FILTER_EVENT

      The event indicating that the `doFilter()` method of a Filter has returned. The `filter` property contains a reference to the relevant filter instance, and the `request` and `response` properties contain the current request and response being processed.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Filter filter,
                       String type)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for filter lifecycle events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `filter` - Filter instance for which this event occurred
        `type` - Event type (required)

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Filter filter,
                       String type,
                       Throwable exception)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for filter lifecycle events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `filter` - Filter instance for which this event occurred
        `type` - Event type (required)
        `exception` - Exception that occurred

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Filter filter,
                       String type,
                       ServletRequest request,
                       ServletResponse response)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for filter processing events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `filter` - Filter instance for which this event occurred
        `type` - Event type (required)
        `request` - Servlet request we are processing
        `response` - Servlet response we are processing

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Filter filter,
                       String type,
                       ServletRequest request,
                       ServletResponse response,
                       Throwable exception)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for filter processing events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `filter` - Filter instance for which this event occurred
        `type` - Event type (required)
        `request` - Servlet request we are processing
        `response` - Servlet response we are processing
        `exception` - Exception that occurred

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Servlet servlet,
                       String type)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet lifecycle events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `servlet` - Servlet instance for which this event occurred
        `type` - Event type (required)

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Servlet servlet,
                       String type,
                       Throwable exception)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet lifecycle events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `servlet` - Servlet instance for which this event occurred
        `type` - Event type (required)
        `exception` - Exception that occurred

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Servlet servlet,
                       String type,
                       ServletRequest request,
                       ServletResponse response)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet processing events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `servlet` - Servlet instance for which this event occurred
        `type` - Event type (required)
        `request` - Servlet request we are processing
        `response` - Servlet response we are processing

    - #### InstanceEvent

          public InstanceEvent(Wrapper wrapper,
                       Servlet servlet,
                       String type,
                       ServletRequest request,
                       ServletResponse response,
                       Throwable exception)

      Construct a new InstanceEvent with the specified parameters. This constructor is used for processing servlet processing events.
      Parameters:
        `wrapper` - Wrapper managing this servlet instance
        `servlet` - Servlet instance for which this event occurred
        `type` - Event type (required)
        `request` - Servlet request we are processing
        `response` - Servlet response we are processing
        `exception` - Exception that occurred

  - ### Method Detail

    - #### getException

          public Throwable getException()

      Return the exception that occurred during the processing that was reported by this event.

    - #### getFilter

          public Filter getFilter()

      Return the filter instance for which this event occurred.

    - #### getRequest

          public ServletRequest getRequest()

      Return the servlet request for which this event occurred.

    - #### getResponse

          public ServletResponse getResponse()

      Return the servlet response for which this event occurred.

    - #### getServlet

          public Servlet getServlet()

      Return the servlet instance for which this event occurred.

    - #### getType

          public String getType()

      Return the event type of this event.

    - #### getWrapper

          public Wrapper getWrapper()

      Return the Wrapper managing the servlet instance for which this event occurred.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.